-------------------------------------------------------------------------------
--   Projekt   : kniha Cislicove systemy a jazyk VHDL
--   Jm. soub. : prior_kod.vhd
--   Nazev     : Vypis 8.10
--   Popis     : Prioritni koder pomoci prirazeni s konstrukci when-else
-------------------------------------------------------------------------------
--   Datum      Autor             Revize  Poznamka
--   16.8.2006  Martin Poupa      Rev A   Vytvoreno
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity prior_kod is
   port (
      x : in std_logic_vector (7 downto 0);
      y : out std_logic_vector (2 downto 0);
      z : out std_logic
   );
end prior_kod;

architecture a_prior_kod of prior_kod is
begin
   -- kod 000 dava kdyz je x(0) = 1 nebo zadny vstup x neni v log. 1
   y <= "111" when x(7) = '1' else
        "110" when x(6) = '1' else
        "101" when x(5) = '1' else
        "100" when x(4) = '1' else
        "011" when x(3) = '1' else
        "010" when x(2) = '1' else
        "001" when x(1) = '1' else
        "000";
   -- signalizace aktivniho vstupu
   z <= '0' when x = "00000000" else '1';
end a_prior_kod;
