-------------------------------------------------------------------------------
--   Projekt   : kniha Cislicove systemy a jazyk VHDL
--   Jm. soub. : rs_nor.vhd
--   Nazev     : Vypis 8.17
--   Popis     : Klopny obvod RS realizovany operatorem NOR
-------------------------------------------------------------------------------
--   Datum      Autor             Revize  Poznamka
--   16.8.2006  Martin Poupa      Rev A   Vytvoreno
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity rs_nor is
   port (
      r, s : in std_logic;
      q, n_q : buffer std_logic
   );
end rs_nor;

architecture struct of rs_nor is
begin
   q <= r nor (s nor q);
   n_q <= s nor (r nor n_q);
end struct;
