-------------------------------------------------------------------------------
--   Projekt   : kniha Cislicove systemy a jazyk VHDL
--   Jm. soub. : mux4_4.vhd
--   Nazev     : Vypis 8.6
--   Popis     : Skupinovy ctyr kanalovy multiplexor pomoci konstrukce
--               with-select
-------------------------------------------------------------------------------
--   Datum      Autor             Revize  Poznamka
--   16.8.2006  Martin Poupa      Rev A   Vytvoreno
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity mux4_4 is
   port (
      b : in std_logic_vector (3 downto 0);
      c : in std_logic_vector (3 downto 0);
      d : in std_logic_vector (3 downto 0);
      e : in std_logic_vector (3 downto 0);
      a : in std_logic_vector (1 downto 0);
      y : out std_logic_vector (3 downto 0)
   );
end mux4_4;

architecture mux_with_select of mux4_4 is
begin
   with a select   -- vytvori multiplexor 1 z 4
      y <= b when "00",
           c when "01",
           d when "10",
           e when others;
end mux_with_select;
