-------------------------------------------------------------------------------
--   Projekt   : kniha Cislicove systemy a jazyk VHDL
--   Jm. soub. : dmx4_4.vhd
--   Nazev     : Vypis 8.9
--   Popis     : Skupinovy ctyr kanalovy demultiplexor realizovany prirazenimi
--               s konstrukci when-else
-------------------------------------------------------------------------------
--   Datum      Autor             Revize  Poznamka
--   16.8.2006  Martin Poupa      Rev A   Vytvoreno
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity dmx4_4 is
   port (
      x : in std_logic_vector (3 downto 0);
      a : in std_logic_vector (1 downto 0);
      b : out std_logic_vector (3 downto 0);
      c : out std_logic_vector (3 downto 0);
      d : out std_logic_vector (3 downto 0);
      e : out std_logic_vector (3 downto 0)
   );
end dmx4_4;
architecture a_dmx4_4 of dmx4_4 is
begin
   b <= x when a = "00" else "0000";
   c <= x when a = "01" else "0000";
   d <= x when a = "10" else "0000";
   e <= x when a = "11" else "0000";
end a_dmx4_4;
