-------------------------------------------------------------------------------
--   Projekt   : kniha Cislicove systemy a jazyk VHDL
--   Jm. soub. : latch_pr.vhd
--   Nazev     : Vypis 8.19
--   Popis     : Klopny obvod typu Latch realizovany pomoci procesu
-------------------------------------------------------------------------------
--   Datum      Autor             Revize  Poznamka
--   16.8.2006  Martin Poupa      Rev A   Vytvoreno
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity latch_pr is
   port (
      d : in std_logic;
      en : in std_logic;
      q : out std_logic
   );
end latch_pr;

architecture struct of latch_pr is
begin
   -- proces se spousti pri zmene signalu d nebo en
   process (d, en)
   begin
      -- do q se zapisuje d dokud je en rovno log. 1
      if en = '1' then
         q <= d;
      end if;
   end process;
end struct;
