-------------------------------------------------------------------------------
--   Projekt   : kniha Cislicove systemy a jazyk VHDL
--   Jm. soub. : dmx1_2.vhd
--   Nazev     : Vypis 8.7
--   Popis     : Dvou kanalovy demultiplexor pomoci prirazeni s konstrukci
--               when-else
-------------------------------------------------------------------------------
--   Datum      Autor             Revize  Poznamka
--   16.8.2006  Martin Poupa      Rev A   Vytvoreno
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity dmx1_2 is
   port (
      x : in std_logic;
      a : in std_logic;
      y0, y1 : out std_logic
   );
end dmx1_2;

architecture dmx_when_else of dmx1_2 is
begin
   y0 <= x when a = '0' else '0';
   y1 <= x when a = '1' else '0';
end dmx_when_else;
